Installing and Configuring Ops Manager on vSphere

Page last updated:

Warning: Pivotal Container Service (PKS) v1.4 is no longer supported because it has reached the End of General Support (EOGS) phase as defined by the Support Lifecycle Policy.
To stay up to date with the latest software and security updates, upgrade to a supported version.

This topic describes how to install and configure Pivotal Ops Manager before deploying Enterprise Pivotal Container Service (Enterprise PKS) on vSphere.

Prerequisites

Before you install Ops Manager for use with Enterprise PKS on vSphere, make sure you have complete the following prerequisites:

Installing Ops Manager

Ops Manager is required to install and configure Enterprise PKS. Each version of Ops Manager supports multiple versions of Enterprise PKS. To confirm that your Ops Manager version supports the version of Enterprise PKS that you install, see the Enterprise PKSRelease Notes

To install a compatible Ops Manager version, follow the instructions in the table below:

Version
Ops Manager v2.4.2 or later
  1. Deploying Ops Manager on vSphere
  2. Configuring BOSH Director on vSphere
Ops Manager v2.5.x
  1. Deploying Ops Manager on vSphere
  2. Configuring BOSH Director on vSphere
Ops Manager v2.6.x
  1. Deploying Ops Manager on vSphere
  2. Configuring BOSH Director on vSphere

Next Steps

After you install the appropriate version of Ops Manager for vSphere for your environment, you can proceed with installing Enterprise PKS by following the instructions in the topic Installing Enterprise PKS on vSphere.


Please send any feedback you have to pks-feedback@pivotal.io.